=== debian/changelog ===
dnscat2 (0.07-0kali2) kali-dev; urgency=medium

  * Add a patch to fix issue with ruby2.7

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 04 Sep 2020 15:56:48 +0200

dnscat2 (0.07-0kali1) kali-dev; urgency=medium

  * Initial release (see 6668)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 25 Aug 2020 11:27:16 +0200
