=== debian/control ===
Source: dnscat2
Section: net
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Homepage: https://github.com/iagox86/dnscat2
Vcs-Browser: https://gitlab.com/kalilinux/packages/dnscat2
Vcs-Git: https://gitlab.com/kalilinux/packages/dnscat2.git
Rules-Requires-Root: no

Package: dnscat2
Architecture: all
Section: metapackages
Depends: ${misc:Depends}, dnscat2-client, dnscat2-server
Description: DNS tunnel (metapackage)
 This tool is designed to create an encrypted command-and-control (C&C) channel
 over the DNS protocol, which is an effective tunnel out of almost every
 network.

Package: dnscat2-client
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: dnscat2-server
Description: DNS tunnel, the client part
 This tool is designed to create an encrypted command-and-control (C&C) channel
 over the DNS protocol, which is an effective tunnel out of almost every
 network.
 .
 The client is designed to be run on a compromised machine.

Package: dnscat2-server
Architecture: all
Depends: ${misc:Depends},
 ruby | ruby-interpreter,
 ruby-trollop,
 ruby-salsa20,
 ruby-ecdsa,
 ruby-sha3
Suggests: dnscat2-client
Description: DNS tunnel, the server part
 This tool is designed to create an encrypted command-and-control (C&C) channel
 over the DNS protocol, which is an effective tunnel out of almost every
 network.
 .
 The server is designed to be run on an authoritative DNS server.
