=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dnscat2-$1.tar.gz%" \
   https://github.com/iagox86/dnscat2/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
